# explode
execute as @e[type=minecraft:creeper,tag=ssb_bomb] at @s unless block ~ ~-1 ~ minecraft:air run data merge entity @s {ignited:1}
execute as @e[type=minecraft:creeper,tag=ssb_bomb] at @s unless block ~ ~-2 ~ minecraft:air run data merge entity @s {ignited:1}
execute as @e[type=minecraft:creeper,tag=ssb_bomb] at @s if entity @p[distance=..2] run data merge entity @s {ignited:1}
execute as @e[type=minecraft:creeper,tag=ssb_bomb,nbt={ignited:1b}] at @s run effect clear @s minecraft:invisibility

# particules
execute if score McVersion fktool matches ..11300 as @e[type=minecraft:creeper,tag=ssb_bomb] at @s run function ssb:particules/particules_1.13
execute if score McVersion fktool matches 11400.. as @e[type=minecraft:creeper,tag=ssb_bomb] at @s run function ssb:particules/particules_1.15

# summon
execute as @a[scores={ssb_jump=1..}] at @s run summon minecraft:creeper ~ ~60.1 ~ {Fuse:1,Silent:1b,Tags:["ssb_bomb"],ActiveEffects:[{Id:14,Amplifier:0,Duration:100,ShowParticules:0}],DeathLootTable:""}
execute as @a[scores={ssb_jump=1..}] at @s run summon minecraft:sheep ~ ~60 ~ {Fuse:1,Tags:["ssb_bomb"],CustomName:"\"jeb_\"",DeathLootTable:""}
execute as @a[scores={ssb_jump=1..}] at @s run playsound minecraft:entity.sheep.ambient hostile @a[distance=..32] ~ ~10 ~ .5 .8 .3

# motions
execute as @e[tag=ssb_bomb] at @s if block ~ ~-1 ~ minecraft:air if entity @p[distance=..12] facing entity @p eyes run tp ^ ^-.7 ^.8

# custom death
execute as @a at @s if entity @e[type=minecraft:creeper,tag=ssb_bomb,distance=..8] run tag @s add ssb_death
execute if entity @p[tag=ssb_death] run gamerule showDeathMessages false
execute as @a[tag=ssb_death,scores={ssb_death=1}] at @s run tellraw @a ["",{"selector":"@s"},{"text":" was killed by a SuperSheep !"}]
execute as @a[tag=ssb_death,scores={ssb_death=1}] at @s run scoreboard players add @s SuperSheepKill 1

# reset
scoreboard players set @a ssb_jump 0
scoreboard players set @a ssb_death 0
execute as @a[tag=ssb_death] at @s unless entity @e[type=minecraft:creeper,tag=ssb_bomb,distance=..8] run tag @s remove ssb_death
execute unless entity @p[tag=ssb_death] run gamerule showDeathMessages true